# -*- encoding: utf-8 -*-
# stub: sensu-plugins-kafka 0.12.2 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-kafka".freeze
  s.version = "0.12.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Olivier Bazoud and contributors".freeze]
  s.cert_chain = ["certs/sensu-plugins.pem".freeze]
  s.date = "2018-12-23"
  s.description = "Non Community Sensu plugins for Kafka".freeze
  s.email = "olivier.bazoud@gmail.com".freeze
  s.executables = ["check-consumer-lag.rb".freeze, "check-topic.rb".freeze, "check-broker.rb".freeze, "check-topics-name.rb".freeze, "metrics-consumer.rb".freeze]
  s.files = ["bin/check-broker.rb".freeze, "bin/check-consumer-lag.rb".freeze, "bin/check-topic.rb".freeze, "bin/check-topics-name.rb".freeze, "bin/metrics-consumer.rb".freeze]
  s.homepage = "https://github.com/obazoud/sensu-plugins-kafka".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for Kafka".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<poseidon>.freeze, ["= 0.0.5"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<zookeeper>.freeze, ["~> 1.4.11"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.49.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
  else
    s.add_dependency(%q<poseidon>.freeze, ["= 0.0.5"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 1.3"])
    s.add_dependency(%q<zookeeper>.freeze, ["~> 1.4.11"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.49.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
  end
end
